;  :
; R0 -   0 ()
; R6, R7 -     rs232

.flag	GridReset,	P3.5	;   
.flag	GridDisable,	P3.7	;   
;.flag	GridInc			;    P3.210 = 111
; ??  GridDisable = 0, GridReset = 1      rs232 ??

.flag	InData,		P3.3	;  rs232,    
.flag	OuData,		P3.4	;  rs232,    IR

.flag	IRData,		P1.0	;   

.equ	RowNum,		0x20	;  
.flag	GridNeedRes,	0x21.0	;       :    
.flag	GridNeedInc,	0x21.1	;       
.flag	RecvFlag,	0x21.2	;    rs232

.equ	VideoBuf,	0x30	; ..0x3F 

.equ	GridNum,	0x40	;   
.equ	Tim2000,	0x41	;    -   1/2000 
.equ	Tim0010,	0x42	;    -   1/10 
.equ	RecvByte,	0x43	;   rs232 
;.equ	RecvCnt,	0x44	;
;.equ	RecvBuf,	0x45	;
.equ	Tim0010r,	0x46	;    -   1/10  ( 
				;   )
.equ	InBufCnt,	0x47	;      
.equ	IRByte,		0x48	;   IR 

.equ	InBuf,		0x50	; ..0x5F  

;  18 027 800  =  0.7  (1 502 316.(6) )
;      0.5  (2000 )
; 751 

.equ	DispDiv,	65536 - 751
.equ	DispDivL,	DispDiv % 256
.equ	DispDivH,	DispDiv / 256

.org	0x000
 mov	TMOD, #0x11
 ajmp	Main
;
;   0 ()
;
.org	0x00B
 mov	TL0, #DispDivL
 mov	TH0, #DispDivH
 sjmp	INT0_0
;
;     (   rs232)
;         rs232, 
;    . -   .
;         ,   
; ,     , 
;  .
;
.org	0x013
 jb	InData, INT1_2	;    "1" -    (..    )
 push	PSW
 push	ACC

 mov	R6, #8		;      0 -    
 acall	WaitHBit	;    "0"
 jb	InData, INT1_3	;     "0"
 acall	WaitHBit	;  

INT1_1:
 acall	WaitHBit	;   ,     
 mov	C, InData
 rrc	A
 acall	WaitHBit	;  ,     
 djnz	R6, INT1_1

;           
;  "1".     ,     "0"
;     .

 mov	RecvByte, A
 setb	RecvFlag
 mov	Tim0010r, #2	;   0.1-0.2   ɣ     -     

INT1_3:
 pop	ACC
 pop	PSW
INT1_2:
 reti

; < 104/2  = 74 >
;  17/2  = 12 

WaitHBit:	; 2 [+2]
; mov	R7, #34	; 1
;W_3:
; djnz	R7, W_3	; 2
 nop		; 1x6
 nop
 nop
 nop
 nop
 nop
 ret		; 2
;
;    0 ()
;
INT0_0:
 push	PSW
 push	ACC

;     

 mov	A, GridNum
 add	A, #VideoBuf
 mov	R0, A
 mov	A, @R0

;     ROM

 rl	A
 rl	A
 rl	A
 mov	R0, A
 anl	A, #0x07
 add	A, #0x03
 mov	DPH, A
 mov	A, R0
 anl	A, #0xF8
 
;   ROM  

 add	A, RowNum
 movc	A, @DPTR+A

;  ,   

 setb	GridDisable
 mov	P1, A

;    ,      
;    ,    

 jb	GridNeedRes, INT0_1
 jnb	GridNeedInc, INT0_3

 setb	P3.0
 setb	P3.1
 setb	P3.2
 ajmp	INT0_4
 
INT0_1:
 setb	GridReset
 clr	GridReset
INT0_2:
 clr	GridNeedRes
INT0_4:
 clr	GridNeedInc
INT0_3:

;      

 mov	C, RowNum.2
 mov	P3.0, C
 mov	C, RowNum.0
 mov	P3.1, C
 mov	C, RowNum.1
 mov	P3.2, C
 clr	GridDisable

;       (>160) ,  P1.0 (IRData)   "0"

 setb	IRData

;     / 

 mov	A, RowNum
 jnz	INT0_5
 mov	RowNum, #5
 
 setb	GridNeedInc
 inc	GridNum
 mov	A, GridNum
 xrl	A, #0x10
 jnz	INT0_5
 mov	GridNum, #0
 setb	GridNeedRes
INT0_5:
 dec	RowNum

;    

 dec	Tim2000
 mov	A, Tim2000
 jnz	INT0_6
 mov	Tim2000, #200
 dec	Tim0010

;     

 dec	Tim0010r
 mov	A, Tim0010r
 jnz	INT0_6
 mov	InBufCnt, #0

INT0_6:
 pop	ACC
 pop	PSW
 reti
;
;  
;   
;
Main:
 setb	ET0	;     0
 setb	EX1	;   1
 setb	PX1	; ,   1   0
 setb	IT1	;  1      
 setb	EA	;   - 
 setb	TR0	;   
 mov	DPL, #0	;     A
 clr	RecvFlag;     ɣ  

;
; 
;

;  " !"

 mov	VideoBuf+00, #148
 mov	VideoBuf+01, #101
 mov	VideoBuf+02, #115
 mov	VideoBuf+03, #116
 mov	VideoBuf+04, #0
 mov	VideoBuf+05, #105
 mov	VideoBuf+06, #110
 mov	VideoBuf+07, #100
 mov	VideoBuf+08, #105
 mov	VideoBuf+09, #107
 mov	VideoBuf+10, #097
 mov	VideoBuf+11, #116
 mov	VideoBuf+12, #111
 mov	VideoBuf+13, #114
 mov	VideoBuf+14, #097
 mov	VideoBuf+15, #001
 acall	Wait10

; 16  

 mov	R3, #16
 mov	A, #95
 mov	R1, #VideoBuf
MN_1:
 mov	@R1, A
 inc	R1
 djnz	R3, MN_1
 acall	Wait10
 
;  

 mov	R3, #16
 mov	R2, #160
MN_2:
 mov	A, R3
 dec	A
 anl	A, #0x0F
 mov	R3, A

 add	A, #VideoBuf
 mov	R1, A

 dec	R2

 mov	@R1, 2
 acall 	Wait02
 mov	A, R2
 jnz	MN_2

;
;  
;

MN_4:
 mov	VideoBuf+00, #148
 mov	VideoBuf+01, #101
 mov	VideoBuf+02, #115
 mov	VideoBuf+03, #116
 mov	VideoBuf+04, #0
 mov	VideoBuf+05, #105
 mov	VideoBuf+06, #110
 mov	VideoBuf+07, #100
 mov	VideoBuf+08, #105
 mov	VideoBuf+09, #107
 mov	VideoBuf+10, #097
 mov	VideoBuf+11, #116
 mov	VideoBuf+12, #111
 mov	VideoBuf+13, #114
 mov	VideoBuf+14, #097
 mov	VideoBuf+15, #001

;
;   
;

MN_3:
 jnb	IRData, MN_6
 jnb	RecvFlag, MN_3	; ,    :)

;		mov	B, RecvByte
;		acall	Debug

 clr	RecvFlag

 mov	A, RecvByte
 xrl	A, #0xFF
 jz	MN_9		; 0xFF -    

 mov	A, InBufCnt
 add	A, #InBuf
 mov	R1, A
 mov	@R1, RecvByte

 inc	InBufCnt	;          16    
 mov	A, InBufCnt
 jnb	ACC.4, MN_3

 clr	ET0		;         R0
 mov	R2, #16
 mov	R1, #InBuf
 mov	R0, #VideoBuf
MN_5:
 mov	A, @R1
 mov	@R0, A
 inc	R0
 inc	R1
 djnz	R2, MN_5
 setb	ET0		;    (  ) 

MN_9:
 mov	InBufCnt, #0 
 ajmp	MN_3
 
;
;    
;

MN_6:
 clr	EA		;  

;  "1"  "0"

MN_7:
 acall	GetIRState	;     
 jnz	MN_7
 acall	GetIRZero	;  
 jnc	MN_8

;   8    B

 mov	R4, #8
 acall	GetIRByte
 jnc	MN_8
 mov	IRByte, B

;   (6 )

 mov	R4, #6
 acall	GetIRByte
 jnc	MN_8

;          

 mov	A, B
 anl	A, #0b10111100	;     0x32  0x22     
 xrl	A, #0b10001000
 jnz	MN_8
 acall	SendByte

MN_8:
 setb	EA		;  
 mov	InBufCnt, #0	;    -   , , 
 clr	RecvFlag
 ajmp	MN_3
;
;  1, 0.5, 0,2 
;       
;
Wait10:
 mov	Tim0010, #10
 ajmp	WT_1
Wait05:
 mov	Tim0010, #05
 ajmp	WT_1
Wait02:
 mov	Tim0010, #02
 ajmp	WT_1
WT_1:
 mov	A, Tim0010
 jnz	WT_1
 ret
;
;  R4   B.  : C = 1
;        
;
GetIRByte:		; r3   7,   
 mov	R3, #8		; t0 = 4..5 * GetIRState, t1 = 8..10 * GetIRState
GIB_1:
 acall	GetIRState
 jnz	GIB_1

 mov	A, R3
 mov	C, ACC.7
 mov	A, B
 rrc	A
 mov	B, A

 acall	GetIRZero
 jnc	GIB_2
 djnz	R4, GetIRByte
GIB_2:
 ret
;
;  28  -   36 
; 500  -    
;        18  .
;  ,   ,  , 1   ,
;  GetIRState   111  (159 )       0  A <> 0
; 7 + 5*x = 159 -> x = 30
;
GetIRState:		; 2
 mov	R2, #30		; 1
 clr	A		; 1
GIR_1:
 mov	C, IRData	; 1
 cpl	C		; 1
 addc	A, #0		; 1
 djnz	R2, GIR_1	; 2
 dec	R3		; 1
 ret			; 2
;
;      
;       4-6  GetIRState   = 0
;     GetIRState -       ( C = 0)
;
GetIRZero:
 mov	R3, #7
GIZ_1:
 acall	GetIRState
 jnz	GIZ_2
 mov	A, R3
 jnz	GIZ_1
 clr	C
 ret
GIZ_2:
 mov	A, R3
 clr	C
 subb	A, #4
 ret
;
;    IR   rs232 
; <  9600.   104 >
;   57600.   17 
;        
;  IR,   
;
SendByte:
;		mov	B, IRByte
;		acall	Debug
 mov	R4, #8
 mov	A, IRByte

 clr	OuData		;    "0"
 acall	WaitBit

SB_1:
 rrc	A
 mov	OuData, C	;   8 
 acall	WaitBit
 djnz	R4, SB_1

 setb	OuData		;   "1"
 acall	WaitBit

; < 104  = 149 >
;  17  = 25 

WaitBit:	; 2 [+4]
 mov	R3, #8	; 1 <72>
W_2:
 djnz	R3, W_2	; 2
 ret		; 2

;     B  

Debug:
 mov	R2, #8
 mov	R1, #VideoBuf
db_1:
 mov	A, B
 rlc	A
 mov	B, A
 clr	A
 addc	A, #16

 mov	@R1, A
 inc	R1
 djnz	R2, db_1
 ret
;
; 
;
.org	0x300
SymGen:
.byte 0x01, 0x01, 0x01, 0x01, 0x01, 0, 0, 0 ;  32     0
.byte 0x25, 0x29, 0x21, 0x01, 0x09, 0, 0, 0 ;  33 !   1
.byte 0x11, 0x83, 0x81, 0x01, 0x01, 0, 0, 0 ;  34 "   2
.byte 0xD9, 0xD3, 0xE7, 0x91, 0xBD, 0, 0, 0 ;  35 #   3
.byte 0xA5, 0xE9, 0xE1, 0x05, 0x9D, 0, 0, 0 ;  36 $   4
.byte 0x01, 0x4D, 0x1F, 0x09, 0x11, 0, 0, 0 ;  37 %   5
.byte 0xD7, 0x41, 0x31, 0x1D, 0x6D, 0, 0, 0 ;  38 &   6
.byte 0x0D, 0x21, 0x01, 0x01, 0x01, 0, 0, 0 ;  39 '   7
.byte 0x8D, 0x13, 0x03, 0x05, 0x01, 0, 0, 0 ;  40 (   8
.byte 0x55, 0x01, 0x45, 0x15, 0x01, 0, 0, 0 ;  41 )   9
.byte 0x2D, 0x2D, 0x3F, 0x1D, 0x09, 0, 0, 0 ;  42 *  10
.byte 0x87, 0x09, 0x61, 0x07, 0x09, 0, 0, 0 ;  43 +  11
.byte 0xC1, 0x09, 0x03, 0x05, 0x09, 0, 0, 0 ;  44 ,  12
.byte 0x83, 0x09, 0x41, 0x03, 0x01, 0, 0, 0 ;  45 -  13
.byte 0x61, 0x01, 0x01, 0x05, 0x81, 0, 0, 0 ;  46 .  14
.byte 0x01, 0x01, 0x41, 0x81, 0x8B, 0, 0, 0 ;  47 /  15
.byte 0x73, 0x7F, 0x1F, 0x8B, 0x31, 0, 0, 0 ;  48 0  16
.byte 0x65, 0xB9, 0x21, 0x05, 0x09, 0, 0, 0 ;  49 1  17
.byte 0x71, 0x3F, 0x53, 0x89, 0x43, 0, 0, 0 ;  50 2  18
.byte 0x71, 0x3F, 0x59, 0x89, 0x11, 0, 0, 0 ;  51 3  19
.byte 0x0F, 0x07, 0x0B, 0xD3, 0x79, 0, 0, 0 ;  52 4  20
.byte 0x7B, 0x73, 0x3D, 0x61, 0x13, 0, 0, 0 ;  53 5  21
.byte 0xE1, 0xFB, 0x49, 0x4B, 0x31, 0, 0, 0 ;  54 6  22
.byte 0x51, 0x27, 0x41, 0xE1, 0x89, 0, 0, 0 ;  55 7  23
.byte 0xF1, 0x7F, 0x59, 0x89, 0x31, 0, 0, 0 ;  56 8  24
.byte 0xF3, 0x6F, 0x51, 0x81, 0x17, 0, 0, 0 ;  57 9  25
.byte 0x0D, 0x81, 0x23, 0x05, 0x89, 0, 0, 0 ;  58 :  26
.byte 0xD5, 0xA9, 0x03, 0x05, 0x09, 0, 0, 0 ;  59 ;  27
.byte 0x81, 0x01, 0xA1, 0x41, 0x4D, 0, 0, 0 ;  60 <  28
.byte 0x09, 0x41, 0x27, 0x91, 0x39, 0, 0, 0 ;  61 =  29
.byte 0x01, 0x81, 0x61, 0x21, 0x8B, 0, 0, 0 ;  62 >  30
.byte 0x31, 0x27, 0x51, 0x81, 0x09, 0, 0, 0 ;  63 ?  31
.byte 0x73, 0x7F, 0x35, 0x9B, 0x79, 0, 0, 0 ;  64 @  32
.byte 0x03, 0xE1, 0x8B, 0x9B, 0x7B, 0, 0, 0 ;  65 A  33
.byte 0xF1, 0x79, 0xDD, 0x2B, 0x33, 0, 0, 0 ;  66 B  34
.byte 0x71, 0x77, 0x19, 0x0B, 0x21, 0, 0, 0 ;  67 C  35
.byte 0x73, 0x61, 0x91, 0xAB, 0x37, 0, 0, 0 ;  68 D  36
.byte 0xF1, 0x7B, 0x51, 0x6B, 0x63, 0, 0, 0 ;  69 E  37
.byte 0x91, 0x6B, 0x51, 0x6B, 0x23, 0, 0, 0 ;  70 F  38
.byte 0x71, 0x77, 0x19, 0x1B, 0x31, 0, 0, 0 ;  71 G  39
.byte 0x83, 0x4D, 0x59, 0xEB, 0x73, 0, 0, 0 ;  72 H  40
.byte 0x75, 0x3B, 0x21, 0x05, 0x09, 0, 0, 0 ;  73 I  41
.byte 0x71, 0x23, 0xC5, 0x19, 0x05, 0, 0, 0 ;  74 J  42
.byte 0x81, 0x41, 0xB1, 0x6B, 0x6F, 0, 0, 0 ;  75 K  43
.byte 0x61, 0x51, 0x19, 0x2B, 0x63, 0, 0, 0 ;  76 L  44
.byte 0x03, 0xC5, 0xB9, 0xEB, 0x73, 0, 0, 0 ;  77 M  45
.byte 0x0B, 0x4D, 0x19, 0xFB, 0x73, 0, 0, 0 ;  78 N  46
.byte 0x73, 0x77, 0x19, 0x8B, 0x31, 0, 0, 0 ;  79 O  47
.byte 0x91, 0x6F, 0x51, 0xAB, 0x23, 0, 0, 0 ;  80 P  48
.byte 0x73, 0x67, 0x11, 0x8B, 0x7D, 0, 0, 0 ;  81 Q  49
.byte 0x91, 0x6F, 0x51, 0xAB, 0x6F, 0, 0, 0 ;  82 R  50
.byte 0xF1, 0x7F, 0x59, 0x09, 0x11, 0, 0, 0 ;  83 S  51
.byte 0x35, 0x2B, 0x21, 0x65, 0x09, 0, 0, 0 ;  84 T  52
.byte 0x63, 0x55, 0x19, 0xEB, 0x31, 0, 0, 0 ;  85 U  53
.byte 0x23, 0x45, 0x13, 0xF3, 0x85, 0, 0, 0 ;  86 V  54
.byte 0x43, 0x5D, 0x11, 0xE3, 0xBD, 0, 0, 0 ;  87 W  55
.byte 0x09, 0x89, 0x87, 0x71, 0xC7, 0, 0, 0 ;  88 X  56
.byte 0xA1, 0x45, 0x51, 0xE5, 0x09, 0, 0, 0 ;  89 Y  57
.byte 0x71, 0x3F, 0x07, 0x69, 0x43, 0, 0, 0 ;  90 Z  58
.byte 0xF9, 0xB3, 0x03, 0x01, 0x81, 0, 0, 0 ;  91 [  59
.byte 0x81, 0x41, 0x01, 0x01, 0x4D, 0, 0, 0 ;  92 \  60
.byte 0x71, 0x33, 0xC5, 0x11, 0x05, 0, 0, 0 ;  93 ]  61
.byte 0x01, 0xE1, 0x81, 0x81, 0x01, 0, 0, 0 ;  94 ^  62
.byte 0x61, 0x11, 0x01, 0x01, 0x43, 0, 0, 0 ;  95 _  63
.byte 0x0D, 0x21, 0x01, 0x01, 0x01, 0, 0, 0 ;  96 `  64
.byte 0x69, 0x01, 0x61, 0x1B, 0x65, 0, 0, 0 ;  97 a  65
.byte 0xE1, 0xC1, 0x21, 0x0B, 0x2D, 0, 0, 0 ;  98 b  66
.byte 0x69, 0x11, 0x25, 0x0B, 0x21, 0, 0, 0 ;  99 c  67
.byte 0xE1, 0x19, 0xC5, 0x19, 0x25, 0, 0, 0 ; 100 d  68
.byte 0x69, 0x11, 0x63, 0x0B, 0x29, 0, 0, 0 ; 101 e  69
.byte 0xC9, 0xA1, 0x83, 0x01, 0xA9, 0, 0, 0 ; 102 f  70
.byte 0x69, 0x01, 0x63, 0x13, 0x0F, 0, 0, 0 ; 103 g  71
.byte 0x09, 0x51, 0x71, 0x3B, 0x27, 0, 0, 0 ; 104 h  72
.byte 0x21, 0x29, 0x21, 0x05, 0x09, 0, 0, 0 ; 105 i  73
.byte 0x41, 0x29, 0x21, 0x0D, 0x09, 0, 0, 0 ; 106 j  74
.byte 0x01, 0x59, 0x17, 0x2F, 0x23, 0, 0, 0 ; 107 k  75
.byte 0x75, 0x39, 0x21, 0x05, 0x09, 0, 0, 0 ; 108 l  76
.byte 0x2B, 0x49, 0x0D, 0x0F, 0x7B, 0, 0, 0 ; 109 m  77
.byte 0x81, 0x51, 0x61, 0x1B, 0x27, 0, 0, 0 ; 110 n  78
.byte 0x69, 0x01, 0x61, 0x1B, 0x25, 0, 0, 0 ; 111 o  79
.byte 0x09, 0x41, 0x63, 0x0B, 0x2B, 0, 0, 0 ; 112 p  80
.byte 0x09, 0x11, 0x67, 0x13, 0x0D, 0, 0, 0 ; 113 q  81
.byte 0x81, 0x41, 0x61, 0x0B, 0x23, 0, 0, 0 ; 114 r  82
.byte 0x69, 0x01, 0x27, 0x03, 0x0F, 0, 0, 0 ; 115 s  83
.byte 0xB9, 0xC1, 0x23, 0x01, 0x85, 0, 0, 0 ; 116 t  84
.byte 0x61, 0x41, 0x45, 0x1B, 0x65, 0, 0, 0 ; 117 u  85
.byte 0x23, 0x41, 0x01, 0x83, 0xB5, 0, 0, 0 ; 118 v  86
.byte 0x43, 0x59, 0x09, 0x8F, 0x39, 0, 0, 0 ; 119 w  87
.byte 0x81, 0x41, 0x41, 0x81, 0xCF, 0, 0, 0 ; 120 x  88
.byte 0x61, 0x41, 0x47, 0x13, 0x0D, 0, 0, 0 ; 121 y  89
.byte 0x69, 0x51, 0x65, 0x81, 0xCB, 0, 0, 0 ; 122 z  90
.byte 0x85, 0x13, 0x21, 0x45, 0x49, 0, 0, 0 ; 123 {  91
.byte 0x25, 0x29, 0x21, 0x05, 0x09, 0, 0, 0 ; 124 |  92
.byte 0x55, 0x01, 0x61, 0x25, 0x0B, 0, 0, 0 ; 125 }  93
.byte 0x01, 0xC1, 0xA1, 0x01, 0x01, 0, 0, 0 ; 126 ~  94
.byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0, 0, 0 ; 127   95
.byte 0x23, 0x59, 0x2F, 0x8F, 0x7B, 0, 0, 0 ; 192   96
.byte 0x69, 0x01, 0x63, 0x19, 0x4D, 0, 0, 0 ; 193   97
.byte 0xE5, 0xCB, 0x01, 0x1B, 0x25, 0, 0, 0 ; 194   98
.byte 0x01, 0x41, 0x45, 0x1F, 0xE5, 0, 0, 0 ; 195   99
.byte 0xE1, 0x11, 0x67, 0x11, 0xC7, 0, 0, 0 ; 196  100
.byte 0x69, 0x11, 0x63, 0x0B, 0x29, 0, 0, 0 ; 197  101
.byte 0x2B, 0x09, 0x27, 0x17, 0x09, 0, 0, 0 ; 198  102
.byte 0x09, 0x41, 0x25, 0x0B, 0x23, 0, 0, 0 ; 199  103
.byte 0x81, 0x41, 0x41, 0x81, 0xCF, 0, 0, 0 ; 200  104
.byte 0x01, 0x51, 0x45, 0x1B, 0xAF, 0, 0, 0 ; 201  105
.byte 0x11, 0x71, 0x45, 0x1B, 0xAF, 0, 0, 0 ; 202  106
.byte 0x01, 0x59, 0x07, 0x0F, 0x23, 0, 0, 0 ; 203  107
.byte 0x81, 0x11, 0x67, 0x11, 0x87, 0, 0, 0 ; 204  108
.byte 0x83, 0x41, 0x49, 0x8B, 0x7B, 0, 0, 0 ; 205  109
.byte 0x01, 0x51, 0x47, 0x1B, 0x2F, 0, 0, 0 ; 206  110
.byte 0x69, 0x01, 0x61, 0x1B, 0x25, 0, 0, 0 ; 207  111
.byte 0x09, 0x51, 0x65, 0x1B, 0x27, 0, 0, 0 ; 208  112
.byte 0x09, 0x11, 0x67, 0x13, 0x8F, 0, 0, 0 ; 209  113
.byte 0x09, 0x41, 0x63, 0x0B, 0x2B, 0, 0, 0 ; 210  114
.byte 0x69, 0x11, 0x25, 0x0B, 0x21, 0, 0, 0 ; 211  115
.byte 0x29, 0x49, 0x25, 0x85, 0x09, 0, 0, 0 ; 212  116
.byte 0x61, 0x41, 0x47, 0x13, 0x0D, 0, 0, 0 ; 213  117
.byte 0x23, 0x49, 0x2B, 0x9F, 0x4B, 0, 0, 0 ; 214  118
.byte 0x69, 0x41, 0x63, 0x0B, 0x2F, 0, 0, 0 ; 215  119
.byte 0x61, 0x41, 0x03, 0x0B, 0x2F, 0, 0, 0 ; 216  120
.byte 0x43, 0x41, 0x0B, 0x8F, 0x73, 0, 0, 0 ; 217  121
.byte 0x69, 0x01, 0x61, 0x0B, 0x0D, 0, 0, 0 ; 218  122
.byte 0x63, 0x59, 0x09, 0x8F, 0x7B, 0, 0, 0 ; 219  123
.byte 0x69, 0x01, 0x61, 0x1B, 0x0D, 0, 0, 0 ; 220  124
.byte 0x03, 0x49, 0x09, 0x8F, 0xFD, 0, 0, 0 ; 221  125
.byte 0x01, 0x51, 0x47, 0x13, 0x0D, 0, 0, 0 ; 222  126
.byte 0xE9, 0x51, 0x0B, 0x11, 0x89, 0, 0, 0 ; 223  127
.byte 0xA7, 0x7F, 0x39, 0xEF, 0x7B, 0, 0, 0 ; 224  128
.byte 0x13, 0x67, 0x1B, 0x9B, 0x7B, 0, 0, 0 ; 225  129
.byte 0xF1, 0x7B, 0x59, 0x6B, 0x33, 0, 0, 0 ; 226  130
.byte 0x03, 0x45, 0x19, 0xEF, 0xF5, 0, 0, 0 ; 227  131
.byte 0x89, 0xA3, 0xCF, 0x1D, 0xC7, 0, 0, 0 ; 228  132
.byte 0xF1, 0x7B, 0x51, 0x6B, 0x63, 0, 0, 0 ; 229  133
.byte 0x37, 0x6F, 0x33, 0x97, 0x09, 0, 0, 0 ; 230  134
.byte 0x11, 0x63, 0x11, 0x6B, 0x23, 0, 0, 0 ; 231  135
.byte 0x09, 0x89, 0x87, 0x71, 0xC7, 0, 0, 0 ; 232  136
.byte 0x03, 0x4D, 0x1F, 0xEB, 0x73, 0, 0, 0 ; 233  137
.byte 0x07, 0x65, 0x59, 0xEB, 0xFB, 0, 0, 0 ; 234  138
.byte 0x81, 0x41, 0xB1, 0x6B, 0x6F, 0, 0, 0 ; 235  139
.byte 0x8B, 0xA7, 0x0B, 0xC1, 0xD3, 0, 0, 0 ; 236  140
.byte 0x03, 0xC5, 0xB9, 0xEB, 0x73, 0, 0, 0 ; 237  141
.byte 0x83, 0x4D, 0x59, 0xEB, 0x73, 0, 0, 0 ; 238  142
.byte 0x73, 0x77, 0x19, 0x8B, 0x31, 0, 0, 0 ; 239  143
.byte 0x13, 0x67, 0x19, 0xEB, 0x73, 0, 0, 0 ; 240  144
.byte 0x93, 0x6F, 0x59, 0xC1, 0xDB, 0, 0, 0 ; 241  145
.byte 0x91, 0x6F, 0x51, 0xAB, 0x23, 0, 0, 0 ; 242  146
.byte 0x71, 0x77, 0x19, 0x0B, 0x21, 0, 0, 0 ; 243  147
.byte 0x35, 0x2B, 0x21, 0x65, 0x09, 0, 0, 0 ; 244  148
.byte 0xE3, 0x5D, 0x59, 0xE1, 0x11, 0, 0, 0 ; 245  149
.byte 0xA5, 0x6D, 0x79, 0xED, 0x7B, 0, 0, 0 ; 246  150
.byte 0xF1, 0x7F, 0x59, 0xAB, 0x33, 0, 0, 0 ; 247  151
.byte 0xE1, 0x59, 0x59, 0x2B, 0x33, 0, 0, 0 ; 248  152
.byte 0xE3, 0x4D, 0x19, 0xEF, 0x7B, 0, 0, 0 ; 249  153
.byte 0x71, 0x3F, 0x59, 0x89, 0x11, 0, 0, 0 ; 250  154
.byte 0x67, 0x5D, 0x39, 0xEF, 0x7B, 0, 0, 0 ; 251  155
.byte 0x73, 0x3F, 0x59, 0x89, 0x11, 0, 0, 0 ; 252  156
.byte 0x07, 0x4D, 0x39, 0xEF, 0xFD, 0, 0, 0 ; 253  157
.byte 0x83, 0x4D, 0x59, 0xE1, 0x51, 0, 0, 0 ; 254  158
.byte 0xF9, 0x99, 0x4B, 0x21, 0x91, 0, 0, 0 ; 255  159
